gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Selectors.FileChooserWidget

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Orphan instances

Description

File chooser widget that can be embedded in other widgets

- Module available since Gtk+ version 2.4

Synopsis

- data FileChooserWidget
- class VBoxClass o => FileChooserWidgetClass o
- castToFileChooserWidget :: GObjectClass obj => obj -> FileChooserWidget
- gTypeFileChooserWidget :: GType
- toFileChooserWidget :: FileChooserWidgetClass o => o -> FileChooserWidget
- data FileChooserAction
- fileChooserWidgetNew :: FileChooserAction -> IO FileChooserWidget

# Detail

`FileChooserWidget` is a widget suitable for selecting files. It is the main building block of a `FileChooserDialog`. Most applications will only need to use the latter; you can use `FileChooserWidget` as part of a larger window if you have special needs.

Note that `FileChooserWidget` does not have any methods of its own. Instead, you should use the functions that work on a `FileChooser`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----VBox
    | +----FileChooserWidget

# Types

data FileChooserWidget Source #

#### Instances

Instances details

Eq FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: FileChooserWidget -> FileChooserWidget -> Bool Source # (/=) :: FileChooserWidget -> FileChooserWidget -> Bool Source #
Ord FileChooserWidget Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: FileChooserWidget -> FileChooserWidget -> Ordering Source #

(<) :: FileChooserWidget -> FileChooserWidget -> Bool Source #

(<=) :: FileChooserWidget -> FileChooserWidget -> Bool Source #

(>) :: FileChooserWidget -> FileChooserWidget -> Bool Source #

(>=) :: FileChooserWidget -> FileChooserWidget -> Bool Source #

max :: FileChooserWidget -> FileChooserWidget -> FileChooserWidget Source #

min :: FileChooserWidget -> FileChooserWidget -> FileChooserWidget Source #

GObjectClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: FileChooserWidget -> GObject Source # unsafeCastGObject :: GObject -> FileChooserWidget Source #
BoxClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
FileChooserClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Selectors.FileChooserWidget
FileChooserWidgetClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class VBoxClass o => FileChooserWidgetClass o Source #

#### Instances

Instances details

FileChooserWidgetClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToFileChooserWidget :: GObjectClass obj => obj -> FileChooserWidget Source #

gTypeFileChooserWidget :: GType Source #

toFileChooserWidget :: FileChooserWidgetClass o => o -> FileChooserWidget Source #

# Constructors

data FileChooserAction Source #

Describes whether a `FileChooser` is being used to open existing files or to save to a possibly new file.

#### Instances

Instances details

Enum FileChooserAction Source # |

Instance details

Defined in Graphics.UI.Gtk.Selectors.FileChooser

Methods

succ :: FileChooserAction -> FileChooserAction Source #

pred :: FileChooserAction -> FileChooserAction Source #

toEnum :: Int -> FileChooserAction Source #

fromEnum :: FileChooserAction -> Int Source #

enumFrom :: FileChooserAction -> [FileChooserAction] Source #

enumFromThen :: FileChooserAction -> FileChooserAction -> [FileChooserAction] Source #

enumFromTo :: FileChooserAction -> FileChooserAction -> [FileChooserAction] Source #

enumFromThenTo :: FileChooserAction -> FileChooserAction -> FileChooserAction -> [FileChooserAction] Source #

fileChooserWidgetNew Source #

Arguments

:: FileChooserAction | `action` - Open or save mode for the widget
-> IO FileChooserWidget |

Creates a new `FileChooserWidget`. This is a file chooser widget that can be embedded in custom windows, and it is the same widget that is used by `FileChooserDialog`.

# Orphan instances

FileChooserClass FileChooserWidget Source # |
Instance details